## NAME

v.reclass - Changes vector category values for an existing vector map according to results of SQL queries or a value in attribute table column.

## KEYWORDS

vector, reclassification, attributes

## SYNOPSIS

v.reclass
v.reclass --help
v.reclass input=name [layer=string] [type=string[,string,...]] output=name [column=name] [rules=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
type=string[,string,...]
  Input feature type
  Options: point, line, boundary, centroid
  Default: point,line,boundary,centroid
output=name [required]
  Name for output vector map
column=name
  The name of the column whose values are to be used as new categories
  The source for the new key column must be type integer or string
rules=name
  Full path to the reclass rule file

## DESCRIPTION

v.reclass allows user to create a new vector map based on the reclassification of an existing vector map. It also allows the user to change the key column away from the default of "cat" with the column option.

Rules file may contain on each row either pair:

    keyword value

(separated by space) or comment beginning with '#' (hash). Definition of new category begins with keyword cat followed by the new category value. Keyword where specifies SQL where condition.

## NOTES

No table is created for the reclassed map if the column option is used and the column type is integer (as the result could contain ambiguities). If the column option is used and the column type is string, a new table is created containing the newly generated cat numbers and a single column containing the unique string column values, sorted in alphabetical order.

For dissolving common boundaries, see v.dissolve.

## EXAMPLES

### Example 1: Reclass by rules

    v.reclass input=land output=land_u type=boundary rules=land.rcl

the rules file contains :

    # land reclass file
    cat 1
    where use = 'E13' and owner = 'Jara Cimrman'
    cat 2
    where use = 'E14'

Produces a new vector area map land_u containing boundaries from land with area category values selected from database by SQL select statement:
`select id from tland where use = 'E13' and owner = 'Jara Cimrman'` changed to category 1;
values selected from database by SQL select statement:
`select id from tland where use = 'E14'` changed to category 2.

### Example 2: Reclass by attribute column

(North Carolina sample dataset)

    v.reclass in=streams out=streams_by_type column=I_vs_P

    v.db.select streams_by_type
    cat|I_vs_P
    1|intermittent
    2|perennial

## KNOWN ISSUES

No table is created for reclassed layer if rules option is used.

## SEE ALSO

v.dissolve, v.extract

GRASS SQL interface

## AUTHORS

R.L. Glenn, USDA, SCS, NHQ-CGIS
from v.reclass to v.db.reclass and later to v.reclass in 5.7 rewritten by Radim Blazek

## SOURCE CODE

Available at: v.reclass source code (history)

Latest change: Sunday Feb 12 15:51:56 2023 in commit: 7d6ff54e985c1579e11b74c230cb8fa68a9aa928

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual